:host {
  a {
    font-family: Poppins-Regular, sans-serif;
    font-size: 14px;
    line-height: 1.7;
    color: #666666;
    margin: 0;
    transition: all 0.4s;
    -webkit-transition: all 0.4s;
    -o-transition: all 0.4s;
    -moz-transition: all 0.4s;
    text-decoration: none;
  }

  a:focus {
    outline: none !important;
  }

  a:hover {
    text-decoration: none;
  }

  /*---------------------------------------------*/
  h1,h2,h3,h4,h5,h6 {
    margin: 0;
  }

  p {
    font-family: Poppins-Regular, sans-serif;
    font-size: 14px;
    line-height: 1.7;
    color: #666666;
    margin: 0;
  }

  ul, li {
    margin: 0;
    list-style-type: none;
  }


  /*---------------------------------------------*/
  input {
    outline: none;
    border: none;
  }

  input[type="number"] {
    -moz-appearance: textfield;
    appearance: none;
    -webkit-appearance: none;
  }

  input[type="number"]::-webkit-outer-spin-button,
  input[type="number"]::-webkit-inner-spin-button {
    -webkit-appearance: none;
  }

  textarea {
    outline: none;
    border: none;
  }

  textarea:focus, input:focus {
    border-color: transparent !important;
  }

  input:focus::-webkit-input-placeholder { color:transparent; }
  input:focus:-moz-placeholder { color:transparent; }
  input:focus::-moz-placeholder { color:transparent; }
  input:focus:-ms-input-placeholder { color:transparent; }

  textarea:focus::-webkit-input-placeholder { color:transparent; }
  textarea:focus:-moz-placeholder { color:transparent; }
  textarea:focus::-moz-placeholder { color:transparent; }
  textarea:focus:-ms-input-placeholder { color:transparent; }

  input::-webkit-input-placeholder {color: #cccccc;}
  input:-moz-placeholder {color: #cccccc;}
  input::-moz-placeholder {color: #cccccc;}
  input:-ms-input-placeholder {color: #cccccc;}

  textarea::-webkit-input-placeholder {color: #cccccc;}
  textarea:-moz-placeholder {color: #cccccc;}
  textarea::-moz-placeholder {color: #cccccc;}
  textarea:-ms-input-placeholder {color: #cccccc;}

  /*---------------------------------------------*/
  button {
    outline: none !important;
    border: none;
    background: transparent;
  }

  button:hover {
    cursor: pointer;
  }

  iframe {
    border: none !important;
  }


  /*//////////////////////////////////////////////////////////////////
  [ Utility ]*/
  .txt1 {
    font-family: Poppins-Regular, sans-serif;
    font-size: 15px;
    color: #999999;
    line-height: 1.4;
  }

  .txt2 {
    font-family: Poppins-Regular, sans-serif;
    font-size: 15px;
    color: #666666;
    line-height: 1.4;
  }

  .txt3 {
    font-family: Poppins-Regular, sans-serif;
    font-size: 16px;
    color: #666666;
    line-height: 1.4;
  }

  .hov1:hover {
    color: #cc0000;
  }



  /*//////////////////////////////////////////////////////////////////
  [ login ]*/
  .limiter {
    width: 100%;
    margin: 0 auto;
  }

  .container-login100 {
    width: 100%;
    align-items: stretch;
  }


  .wrap-login100 {
    width: 520px;
    min-height: 100vh;
    background: #fff;
    border-radius: 2px;
    position: relative;
  }

  /*------------------------------------------------------------------
  [ Login100 more ]*/
  .login100-more {
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
    width: calc(100% - 520px);
    position: relative;
    z-index: 1;
  }

  .login100-more::before {
    content: "";
    display: block;
    position: absolute;
    z-index: -1;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    background: #cc0000;
    background: -webkit-linear-gradient(45deg, #dddddd, #cc0000);
    background: -o-linear-gradient(45deg, #dddddd, #cc0000);
    background: -moz-linear-gradient(45deg, #dddddd, #cc0000);
    background: linear-gradient(45deg, #dddddd, #cc0000);
    opacity: 0.8;
  }

  /*==================================================================
  [ Form ]*/

  .login100-form {
    width: 100%;
    justify-content: space-between;
  }

  .login100-form-title {
    display: block;
    width: 100%;
    font-family: Poppins-Bold, sans-serif;
    font-size: 39px;
    color: #333333;
    line-height: 1.2;
    text-align: left;
  }



  /*------------------------------------------------------------------
  [ Input ]*/

  .wrap-input100 {
    width: 100%;
    position: relative;
    border-bottom: 2px solid #dbdbdb;
    margin-bottom: 30px;
  }

  .label-input100 {
    font-family: Poppins-SemiBold, sans-serif;
    font-size: 18px;
    color: #999999;
    line-height: 1.2;
    padding-left: 2px;
  }

  .input100 {
    display: block;
    width: 100%;
    height: 50px;
    background: transparent;
    font-family: Poppins-Regular, sans-serif;
    font-size: 18px;
    color: #555555;
    line-height: 1.2;
    padding: 0 2px;
  }

  .focus-input100 {
    position: absolute;
    display: block;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    pointer-events: none;
  }

  .focus-input100::before {
    content: "";
    display: block;
    position: absolute;
    bottom: -2px;
    left: 0;
    width: 0;
    height: 2px;

    -webkit-transition: all 0.4s;
    -o-transition: all 0.4s;
    -moz-transition: all 0.4s;
    transition: all 0.4s;

    background: #cc0000;
    background: -webkit-linear-gradient(45deg, #dddddd, #cc0000);
    background: -o-linear-gradient(45deg, #dddddd, #cc0000);
    background: -moz-linear-gradient(45deg, #dddddd, #cc0000);
    background: linear-gradient(45deg, #dddddd, #cc0000);
  }


  .input100:focus + .focus-input100::before {
    width: 100%;
  }

  .has-val.input100 + .focus-input100::before {
    width: 100%;
  }

  /*==================================================================
  [ Restyle Checkbox ]*/

  .input-checkbox100 {
    display: none;
  }

  .label-checkbox100 {
    margin: 0;

    display: block;
    position: relative;
    padding-left: 26px;
    cursor: pointer;
  }

  .label-checkbox100::before {
    content: "\f00c";
    font-family: FontAwesome;
    font-size: 13px;
    color: transparent;
    justify-content: center;
    align-items: center;
    position: absolute;
    width: 16px;
    height: 16px;
    border-radius: 2px;
    background: #e6e6e6;
    left: 0;
    top: 50%;
    -webkit-transform: translateY(-50%);
    -moz-transform: translateY(-50%);
    -ms-transform: translateY(-50%);
    -o-transform: translateY(-50%);
    transform: translateY(-50%);
  }

  .input-checkbox100:checked + .label-checkbox100::before {
    color: #cc0000;
  }

  /*------------------------------------------------------------------
  [ Button ]*/
  .container-login100-form-btn {
    justify-content: center;
  }

  .wrap-login100-form-btn {
    width: 50%;
    display: block;
    position: relative;
    z-index: 1;
    border-radius: 25px;
    overflow: hidden;

    box-shadow: 0 5px 30px 0 rgba(3, 216, 222, 0.2);
    -moz-box-shadow: 0 5px 30px 0 rgba(3, 216, 222, 0.2);
    -webkit-box-shadow: 0 5px 30px 0 rgba(3, 216, 222, 0.2);
    -o-box-shadow: 0 5px 30px 0 rgba(3, 216, 222, 0.2);
  }

  .login100-form-bgbtn {
    position: absolute;
    z-index: -1;
    width: 300%;
    height: 100%;
    background: #a64bf4;
    background: -webkit-linear-gradient(to left, #cc0000, #dddddd, #cc0000, #dddddd);
    background: -o-linear-gradient(to left, #cc0000, #dddddd, #cc0000, #dddddd);
    background: -moz-linear-gradient(to left, #cc0000, #dddddd, #cc0000, #dddddd);
    background: linear-gradient(to left, #cc0000, #dddddd, #cc0000, #dddddd);
    top: 0;
    left: -100%;

    -webkit-transition: all 0.4s;
    -o-transition: all 0.4s;
    -moz-transition: all 0.4s;
    transition: all 0.4s;
  }

  .login100-form-btn {
    font-family: Poppins-Medium, sans-serif;
    font-size: 16px;
    color: #fff;
    line-height: 1.2;
    text-transform: uppercase;
    justify-content: center;
    align-items: center;
    padding: 0 20px;
    width: 100%;
    height: 50px;
  }

  .disabled {
    background: #cc5656;
    background: -webkit-linear-gradient(to left, #eeeeee, #cc5656, #eeeeee, #cc5656);
    background: -o-linear-gradient(to left, #eeeeee, #cc5656, #eeeeee, #cc5656);
    background: -moz-linear-gradient(to left, #eeeeee, #cc5656, #eeeeee, #cc5656);
    background: linear-gradient(to left, #eeeeee, #cc5656, #eeeeee, #cc5656);
  }

  .not-allowed {
    cursor: not-allowed !important;
  }

  .wrap-login100-form-btn:hover .login100-form-bgbtn {
    left: 0;
  }

  /*//////////////////////////////////////////////////////////////////
  [ Responsive ]*/

  @media (max-width: 576px) {
    .wrap-login100 {
      padding-left: 15px;
      padding-right: 15px;
    }
  }
}
